> ## Documentation Index
> Fetch the complete documentation index at: https://docs.enem.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Listar prova

> Lstar detalhes de uma prova por seu ano



## OpenAPI

````yaml https://api.enem.dev/v1 get /exams/{year}
openapi: 3.0.3
info:
  title: ENEM API
  description: API publica para consulta de provas e questões do ENEM
  version: 1.0.0
  contact:
    name: yunger
    url: https://github.com/yunger7
servers:
  - url: https://api.enem.dev/v1
    description: API de produção
security: []
paths:
  /exams/{year}:
    get:
      tags:
        - Provas
      summary: Listar prova
      description: Lstar detalhes de uma prova por seu ano
      operationId: getExamDetails
      parameters:
        - in: path
          name: year
          description: O ano em que a prova foi aplicada
          schema:
            $ref: '#/components/schemas/year'
          required: true
      responses:
        '200':
          description: Detalhes da prova
          content:
            application/json:
              schema:
                type: object
                properties:
                  title:
                    type: string
                    description: O título da prova
                    example: ENEM 2020
                  year:
                    type: integer
                    minimum: 0
                    exclusiveMinimum: true
                    description: O ano em que a prova foi aplicada
                    example: 2020
                  disciplines:
                    type: array
                    items:
                      type: object
                      properties:
                        label:
                          type: string
                          description: O nome da disciplina
                        value:
                          type: string
                          description: O código da disciplina
                      required:
                        - label
                        - value
                    description: As disciplinas da prova
                    example:
                      - label: Ciências Humanas e suas Tecnologias
                        value: ciencias-humanas
                      - label: Ciências da Natureza e suas Tecnologias
                        value: ciencias-natureza
                      - label: Linguagens, Códigos e suas Tecnologias
                        value: linguagens
                      - label: Matemática e suas Tecnologias
                        value: matematica
                  languages:
                    type: array
                    items:
                      type: object
                      properties:
                        label:
                          type: string
                          description: O nome do idioma
                        value:
                          type: string
                          description: O código do idioma
                      required:
                        - label
                        - value
                    description: Os idiomas da prova
                    example:
                      - label: Espanhol
                        value: espanhol
                      - label: Inglês
                        value: ingles
                  questions:
                    type: array
                    items:
                      type: object
                      properties:
                        title:
                          type: string
                          description: O título da questão
                          example: Questão 1 - ENEM 2020
                        index:
                          type: integer
                          minimum: 0
                          exclusiveMinimum: true
                          description: O número da questão na prova
                          example: 1
                        discipline:
                          type: string
                          nullable: true
                          description: A disciplina da questão
                          example: linguagens
                        language:
                          type: string
                          nullable: true
                          description: O idioma da questão
                          example: ingles
                      required:
                        - title
                        - index
                        - discipline
                        - language
                      title: Questão
                    description: As questões da prova
                required:
                  - title
                  - year
                  - disciplines
                  - languages
                  - questions
                title: Detalhes da prova
        '400':
          description: >-
            The server cannot or will not process the request due to something
            that is perceived to be a client error (e.g., malformed request
            syntax, invalid request message framing, or deceptive request
            routing).
          content:
            application/json:
              schema:
                x-speakeasy-name-override: BadRequest
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      code:
                        type: string
                        enum:
                          - bad_request
                        description: A short code indicating the error code returned.
                        example: bad_request
                      message:
                        type: string
                        description: A human readable explanation of what went wrong.
                        example: >-
                          The server cannot or will not process the request due
                          to something that is perceived to be a client error
                          (e.g., malformed request syntax, invalid request
                          message framing, or deceptive request routing).
                      docUrl:
                        type: string
                        description: >-
                          A link to our documentation with more details about
                          this error code
                        example: https://enem.dev/docs/errors#bad-request
                    required:
                      - code
                      - message
                required:
                  - error
        '404':
          description: The server cannot find the requested resource.
          content:
            application/json:
              schema:
                x-speakeasy-name-override: NotFound
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      code:
                        type: string
                        enum:
                          - not_found
                        description: A short code indicating the error code returned.
                        example: not_found
                      message:
                        type: string
                        description: A human readable explanation of what went wrong.
                        example: The server cannot find the requested resource.
                      docUrl:
                        type: string
                        description: >-
                          A link to our documentation with more details about
                          this error code
                        example: https://enem.dev/docs/errors#not-found
                    required:
                      - code
                      - message
                required:
                  - error
        '422':
          description: >-
            The request was well-formed but was unable to be followed due to
            semantic errors.
          content:
            application/json:
              schema:
                x-speakeasy-name-override: UnprocessableEntity
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      code:
                        type: string
                        enum:
                          - unprocessable_entity
                        description: A short code indicating the error code returned.
                        example: unprocessable_entity
                      message:
                        type: string
                        description: A human readable explanation of what went wrong.
                        example: >-
                          The request was well-formed but was unable to be
                          followed due to semantic errors.
                      docUrl:
                        type: string
                        description: >-
                          A link to our documentation with more details about
                          this error code
                        example: https://enem.dev/docs/errors#unprocessable-entity
                    required:
                      - code
                      - message
                required:
                  - error
        '429':
          description: The user has sent too many requests in a given amount of time
          content:
            application/json:
              schema:
                x-speakeasy-name-override: RateLimitExceeded
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      code:
                        type: string
                        enum:
                          - rate_limit_exceeded
                        description: A short code indicating the error code returned.
                        example: rate_limit_exceeded
                      message:
                        type: string
                        description: A human readable explanation of what went wrong.
                        example: >-
                          The user has sent too many requests in a given amount
                          of time
                      docUrl:
                        type: string
                        description: >-
                          A link to our documentation with more details about
                          this error code
                        example: https://enem.dev/docs/errors#rate-limit_exceeded
                    required:
                      - code
                      - message
                required:
                  - error
        '500':
          description: >-
            The server has encountered a situation it does not know how to
            handle.
          content:
            application/json:
              schema:
                x-speakeasy-name-override: InternalServerError
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      code:
                        type: string
                        enum:
                          - internal_server_error
                        description: A short code indicating the error code returned.
                        example: internal_server_error
                      message:
                        type: string
                        description: A human readable explanation of what went wrong.
                        example: >-
                          The server has encountered a situation it does not
                          know how to handle.
                      docUrl:
                        type: string
                        description: >-
                          A link to our documentation with more details about
                          this error code
                        example: https://enem.dev/docs/errors#internal-server_error
                    required:
                      - code
                      - message
                required:
                  - error
components:
  schemas:
    year:
      type: string
      example: '2020'
      description: O ano em que a prova foi aplicada

````